<?xml version="1.0" encoding="utf-8"?>
<android.support.constraint.ConstraintLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="240dp"
    android:layout_height="wrap_content"
    android:orientation="vertical">

    <android.support.constraint.Group
        android:id="@+id/group_readerAnnotationProperty_brushMode"
        app:constraint_referenced_ids="tv_readerAnnotationProperty_thicknessName, seekBar_readerAnnotationProperty_thickness, tv_readerAnnotationProperty_thicknessValue, waveLineView_readerAnnotationProperty, iv_readerAnnotationProperty_triangle1, iv_readerAnnotationProperty_triangle2, iv_readerAnnotationProperty_brush1, iv_readerAnnotationProperty_brush2"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content" />

    <com.kdanmobile.reader.view.WaveLineView
        android:id="@+id/waveLineView_readerAnnotationProperty"
        android:layout_marginLeft="8dp"
        android:layout_marginRight="8dp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        android:layout_width="0dp"
        android:layout_height="60dp" />

    <TextView
        android:id="@+id/tv_readerAnnotationProperty_thicknessName"
        android:text="@string/pdfReader_ppw_thickness"
        android:textSize="16sp"
        android:layout_marginLeft="8dp"
        android:layout_marginRight="8dp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="@id/seekBar_readerAnnotationProperty_thickness"
        app:layout_constraintBottom_toBottomOf="@id/seekBar_readerAnnotationProperty_thickness"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content" />

    <TextView
        android:id="@+id/tv_readerAnnotationProperty_opacityName"
        android:text="@string/pdfReader_ppw_opacity"
        android:textSize="16sp"
        android:layout_marginLeft="8dp"
        android:layout_marginRight="8dp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="@id/seekBar_readerAnnotationProperty_opacity"
        app:layout_constraintBottom_toBottomOf="@id/seekBar_readerAnnotationProperty_opacity"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content" />

    <android.support.constraint.Barrier
        android:id="@+id/barrier_readerAnnotationProperty_thicknessOpacityText"
        app:constraint_referenced_ids="tv_readerAnnotationProperty_thicknessName, tv_readerAnnotationProperty_opacityName"
        app:barrierDirection="right"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content" />

    <SeekBar
        android:id="@+id/seekBar_readerAnnotationProperty_thickness"
        android:layout_marginTop="8dp"
        app:layout_constraintLeft_toRightOf="@id/barrier_readerAnnotationProperty_thicknessOpacityText"
        app:layout_constraintRight_toLeftOf="@id/barrier_readerAnnotationProperty_thicknessOpacityValue"
        app:layout_constraintTop_toBottomOf="@id/waveLineView_readerAnnotationProperty"
        android:layout_width="0dp"
        android:layout_height="32dp"
        android:min="1"
        android:max="16"
        android:maxHeight="1dp"
        android:minHeight="1dp"
        android:paddingLeft="10dp"
        android:paddingRight="10dp"
        android:progress="3"
        android:progressTint="@color/selector_annotation_attribute_seek_bar"
        android:progressBackgroundTint="@color/selector_annotation_attribute_seek_bar_background"
        android:thumbTint="@color/selector_annotation_attribute_seek_bar"
        android:scrollbarStyle="insideOverlay"
        android:thumbOffset="7dp" />

    <SeekBar
        android:id="@+id/seekBar_readerAnnotationProperty_opacity"
        android:layout_marginTop="8dp"
        app:layout_constraintLeft_toRightOf="@id/barrier_readerAnnotationProperty_thicknessOpacityText"
        app:layout_constraintRight_toLeftOf="@id/barrier_readerAnnotationProperty_thicknessOpacityValue"
        app:layout_constraintTop_toBottomOf="@id/seekBar_readerAnnotationProperty_thickness"
        android:layout_width="0dp"
        android:layout_height="32dp"
        android:min="1"
        android:max="100"
        android:progress="50"
        android:maxHeight="1dp"
        android:minHeight="1dp"
        android:paddingLeft="10dp"
        android:paddingRight="10dp"
        android:progressTint="@color/selector_annotation_attribute_seek_bar"
        android:progressBackgroundTint="@color/selector_annotation_attribute_seek_bar_background"
        android:thumbTint="@color/selector_annotation_attribute_seek_bar"
        android:scrollbarStyle="insideOverlay"
        />

    <android.support.constraint.Barrier
        android:id="@+id/barrier_readerAnnotationProperty_thicknessOpacityValue"
        app:constraint_referenced_ids="tv_readerAnnotationProperty_thicknessValue, tv_readerAnnotationProperty_opacityValue"
        app:barrierDirection="left"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content" />

    <TextView
        android:id="@+id/tv_readerAnnotationProperty_thicknessValue"
        tools:text="0"
        android:textSize="16sp"
        android:gravity="center"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@id/seekBar_readerAnnotationProperty_thickness"
        app:layout_constraintBottom_toBottomOf="@id/seekBar_readerAnnotationProperty_thickness"
        android:layout_marginRight="8dp"
        android:layout_width="32dp"
        android:layout_height="wrap_content" />

    <TextView
        android:id="@+id/tv_readerAnnotationProperty_opacityValue"
        tools:text="0"
        android:textSize="16sp"
        android:gravity="center"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@id/seekBar_readerAnnotationProperty_opacity"
        app:layout_constraintBottom_toBottomOf="@id/seekBar_readerAnnotationProperty_opacity"
        android:layout_marginRight="8dp"
        android:layout_width="32dp"
        android:layout_height="wrap_content" />

    <HorizontalScrollView
        android:id="@+id/viewGroup_readerAnnotationProperty_color"
        app:layout_constraintTop_toBottomOf="@id/seekBar_readerAnnotationProperty_opacity"
        android:layout_marginTop="16dp"
        android:layout_width="0dp"
        android:layout_height="wrap_content">
        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:orientation="horizontal">

            <ImageView
                style="@style/AnnotationPropertyColorImageView"
                android:id="@+id/iv_readerAnnotationProperty_color1"
                android:background="@color/reader_annotation_color_1" />

            <ImageView
                style="@style/AnnotationPropertyColorImageView"
                android:id="@+id/iv_readerAnnotationProperty_color2"
                android:background="@color/reader_annotation_color_2" />

            <ImageView
                style="@style/AnnotationPropertyColorImageView"
                android:id="@+id/iv_readerAnnotationProperty_color3"
                android:background="@color/reader_annotation_color_3" />

            <ImageView
                style="@style/AnnotationPropertyColorImageView"
                android:id="@+id/iv_readerAnnotationProperty_color4"
                android:background="@color/reader_annotation_color_4" />

            <ImageView
                style="@style/AnnotationPropertyColorImageView"
                android:id="@+id/iv_readerAnnotationProperty_color5"
                android:background="@color/reader_annotation_color_5" />

            <ImageView
                style="@style/AnnotationPropertyColorImageView"
                android:id="@+id/iv_readerAnnotationProperty_color6"
                android:background="@color/reader_annotation_color_6" />

            <ImageView
                style="@style/AnnotationPropertyColorImageView"
                android:id="@+id/iv_readerAnnotationProperty_color7"
                android:background="@color/reader_annotation_color_7" />

            <ImageView
                style="@style/AnnotationPropertyColorImageView"
                android:id="@+id/iv_readerAnnotationProperty_color8"
                android:background="@color/reader_annotation_color_8" />

            <ImageView
                style="@style/AnnotationPropertyColorImageView"
                android:id="@+id/iv_readerAnnotationProperty_color9"
                android:background="@color/reader_annotation_color_9" />

            <ImageView
                style="@style/AnnotationPropertyColorImageView"
                android:id="@+id/iv_readerAnnotationProperty_color10"
                android:background="@color/reader_annotation_color_10" />
        </LinearLayout>
    </HorizontalScrollView>

    <ImageView
        android:id="@+id/iv_readerAnnotationProperty_triangle1"
        android:src="@drawable/ic_freehand_triangle"
        app:layout_constraintTop_toBottomOf="@id/viewGroup_readerAnnotationProperty_color"
        app:layout_constraintLeft_toLeftOf="@id/iv_readerAnnotationProperty_brush1"
        app:layout_constraintRight_toRightOf="@id/iv_readerAnnotationProperty_brush1"
        android:layout_width="24dp"
        android:layout_height="24dp"/>
    <ImageView
        android:id="@+id/iv_readerAnnotationProperty_brush1"
        android:src="@drawable/ink_brush_1"
        android:adjustViewBounds="true"
        app:layout_constraintTop_toBottomOf="@id/iv_readerAnnotationProperty_triangle1"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toLeftOf="@id/iv_readerAnnotationProperty_brush2"
        android:layout_marginLeft="8dp"
        android:layout_marginRight="8dp"
        android:layout_width="0dp"
        android:layout_height="wrap_content" />
    <ImageView
        android:id="@+id/iv_readerAnnotationProperty_triangle2"
        android:src="@drawable/ic_freehand_triangle"
        app:layout_constraintTop_toBottomOf="@id/viewGroup_readerAnnotationProperty_color"
        app:layout_constraintLeft_toLeftOf="@id/iv_readerAnnotationProperty_brush2"
        app:layout_constraintRight_toRightOf="@id/iv_readerAnnotationProperty_brush2"
        android:layout_width="24dp"
        android:layout_height="24dp" />
    <ImageView
        android:id="@+id/iv_readerAnnotationProperty_brush2"
        android:src="@drawable/ink_brush_2"
        android:adjustViewBounds="true"
        app:layout_constraintTop_toTopOf="@id/iv_readerAnnotationProperty_brush1"
        app:layout_constraintBottom_toBottomOf="@id/iv_readerAnnotationProperty_brush1"
        app:layout_constraintLeft_toRightOf="@id/iv_readerAnnotationProperty_brush1"
        app:layout_constraintRight_toRightOf="parent"
        android:layout_marginLeft="8dp"
        android:layout_marginRight="8dp"
        android:layout_width="0dp"
        android:layout_height="wrap_content" />
</android.support.constraint.ConstraintLayout>
